Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/SIREN/src/create_coord.f90
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/SIREN/src/create_coord.f90	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/SIREN/src/create_coord.f90	(revision 10251)
@@ -24,7 +24,4 @@
 !> @endcode
 !>    
-!> @note 
-!>    you could find a template of the namelist in templates directory.
-!>
 !>    create_coord.nam comprise 6 namelists:<br/>
 !>       - logger namelist (namlog)
@@ -42,5 +39,5 @@
 !>       - cn_logfile   : log filename
 !>       - cn_verbosity : verbosity ('trace','debug','info',
-!> 'warning','error','fatal','none')
+!> 'warning','error','fatal')
 !>       - in_maxerror  : maximum number of error allowed
 !>
@@ -57,12 +54,11 @@
 !>       - cn_varinfo : list of variable and extra information about request(s)
 !> to be used.<br/>
-!>          each elements of *cn_varinfo* is a string character 
-!>          (separated by ',').<br/>
+!>          each elements of *cn_varinfo* is a string character.<br/>
 !>          it is composed of the variable name follow by ':', 
 !>          then request(s) to be used on this variable.<br/> 
 !>          request could be:
-!>             - int = interpolation method
-!>             - ext = extrapolation method
-!>             - flt = filter method
+!>             - interpolation method
+!>             - extrapolation method
+!>             - filter method
 !> 
 !>                requests must be separated by ';' .<br/>
@@ -72,6 +68,6 @@
 !>          @ref extrap and @ref filter modules.<br/>
 !>
-!>          Example: 'votemper: int=linear; flt=hann(2,3); ext=dist_weight', 
-!>          'vosaline: int=cubic'<br/>
+!>          Example: 'votemper: linear; hann(2,3); dist_weight', 
+!>          'vosaline: cubic'<br/>
 !>          @note 
 !>             If you do not specify a method which is required, 
@@ -94,5 +90,5 @@
 !>
 !>    * _output namelist (namout)_:
-!>       - cn_fileout : output coordinate file name
+!>       - cn_fileout : output coordinate file
 !>
 !> @author J.Paul
@@ -156,4 +152,12 @@
    TYPE(TFILE)                                          :: tl_fileout
 
+   ! check 
+!   INTEGER(i4)                                          :: il_imin0
+!   INTEGER(i4)                                          :: il_imax0
+!   INTEGER(i4)                                          :: il_jmin0
+!   INTEGER(i4)                                          :: il_jmax0
+!   INTEGER(i4)      , DIMENSION(2,2)                    :: il_ind2
+!   TYPE(TMPP)                                           :: tl_mppout
+
    ! loop indices
    INTEGER(i4) :: ji
@@ -161,20 +165,15 @@
 
    ! namelist variable
-   ! namlog
    CHARACTER(LEN=lc) :: cn_logfile = 'create_coord.log' 
    CHARACTER(LEN=lc) :: cn_verbosity = 'warning' 
    INTEGER(i4)       :: in_maxerror = 5
 
-   ! namcfg
-   CHARACTER(LEN=lc) :: cn_varcfg = '../cfg/variable.cfg' 
-
-   ! namcrs
    CHARACTER(LEN=lc) :: cn_coord0 = '' 
    INTEGER(i4)       :: in_perio0 = -1
 
-   ! namvar
+   CHARACTER(LEN=lc) :: cn_varcfg = '../cfg/variable.cfg' 
+
    CHARACTER(LEN=lc), DIMENSION(ip_maxvar) :: cn_varinfo = ''
 
-   !namnst
    INTEGER(i4)       :: in_imin0 = 0
    INTEGER(i4)       :: in_imax0 = 0
@@ -184,5 +183,4 @@
    INTEGER(i4)       :: in_rhoj  = 1
 
-   !namout
    CHARACTER(LEN=lc) :: cn_fileout= 'coord_fine.nc'
    !-------------------------------------------------------------------
@@ -307,4 +305,5 @@
 
       il_offset(:,:,:)=create_coord_get_offset(il_rho(:))
+
    ENDIF
 
@@ -349,4 +348,8 @@
       CALL dom_del_extra( tl_var(ji), tl_dom, il_rho(:), .true. )
 
+      ! do not add ghost cell. 
+      ! ghost cell already replace by value for coordinates 
+      ! CALL grid_add_ghost(tl_var(ji),tl_dom%i_ghost(:,:))
+
       ! filter
       CALL filter_fill_value(tl_var(ji))      
@@ -372,8 +375,9 @@
 
    ! add variables
-   DO ji=il_nvar,1,-1
+   DO ji=1,il_nvar
       CALL file_add_var(tl_fileout, tl_var(ji))
-      CALL var_clean(tl_var(ji))
    ENDDO
+
+   ! recompute some attribute
 
    ! add some attribute
@@ -436,4 +440,37 @@
 
    CALL file_clean(tl_fileout)
+
+!   ! check domain
+!   tl_coord0=mpp_init( file_init(TRIM(cn_coord0)), id_perio=in_perio0)
+!   tl_mppout=mpp_init( file_init(TRIM(cn_fileout)) )
+!   CALL grid_get_info(tl_coord0)
+!   CALL iom_mpp_open(tl_mppout)
+!
+!   il_ind2(:,:)=grid_get_coarse_index( tl_coord0, tl_mppout, &
+!   &                                   id_rho=il_rho(:) )
+!
+!   il_imin0=il_ind2(1,1) ; il_imax0=il_ind2(1,2)
+!   il_jmin0=il_ind2(2,1) ; il_jmax0=il_ind2(2,2)
+!
+!   IF( il_imin0 /= in_imin0 .OR. &
+!   &   il_imax0 /= in_imax0 .OR. &
+!   &   il_jmin0 /= in_jmin0 .OR. &
+!   &   il_jmax0 /= in_jmax0 )THEN
+!      CALL logger_debug("CREATE COORD: output indices ("//&
+!      &                 TRIM(fct_str(il_imin0))//","//&
+!      &                 TRIM(fct_str(il_imax0))//") ("//&
+!      &                 TRIM(fct_str(il_jmin0))//","//&
+!      &                 TRIM(fct_str(il_jmax0))//")" ) 
+!      CALL logger_debug("CREATE COORD: input indices ("//&
+!      &                 TRIM(fct_str(in_imin0))//","//&
+!      &                 TRIM(fct_str(in_imax0))//") ("//&
+!      &                 TRIM(fct_str(in_jmin0))//","//&
+!      &                 TRIM(fct_str(in_jmax0))//")" ) 
+!      CALL logger_fatal("CREATE COORD: output domain not confrom "//&
+!      &                 "with input indices")
+!   ENDIF
+!
+!   CALL iom_mpp_close(tl_coord0)
+!   CALL iom_mpp_close(tl_mppout)
 
    ! close log file
@@ -502,6 +539,4 @@
    !> @param[in] id_iext   number of points to be extrapolated in i-direction
    !> @param[in] id_jext   number of points to be extrapolated in j-direction
-   !>
-   !> @todo check if mask is really needed
    !-------------------------------------------------------------------
    SUBROUTINE create_coord_interp( td_var,          &
@@ -591,5 +626,5 @@
 
          ! extrapolate variable
-         CALL extrap_fill_value( td_var )
+         CALL extrap_fill_value( td_var, id_iext=il_iext, id_jext=il_jext )
 
          ! interpolate variable
Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/SIREN/src/create_restart.f90
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/SIREN/src/create_restart.f90	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/SIREN/src/create_restart.f90	(revision 10251)
@@ -25,7 +25,4 @@
 !> @endcode
 !>    
-!> @note 
-!>    you could find a template of the namelist in templates directory.
-!>
 !>    create_restart.nam comprise 9 namelists:<br/>
 !>       - logger namelist (namlog)
@@ -46,5 +43,5 @@
 !>       - cn_logfile   : log filename
 !>       - cn_verbosity : verbosity ('trace','debug','info',
-!> 'warning','error','fatal','none')
+!> 'warning','error','fatal')
 !>       - in_maxerror  : maximum number of error allowed
 !>
@@ -62,4 +59,6 @@
 !>       - cn_bathy1 : bathymetry file
 !>       - in_perio1 : NEMO periodicity index
+!>       - in_extrap : number of land point to be extrapolated 
+!>       before writing file
 !>
 !>    * _vertical grid namelist (namzgr)_:<br/>
@@ -84,16 +83,13 @@
 !>       - cn_varinfo : list of variable and extra information about request(s) 
 !>       to be used.<br/>
-!>          each elements of *cn_varinfo* is a string character
-!>          (separated by ',').<br/>
+!>          each elements of *cn_varinfo* is a string character.<br/>
 !>          it is composed of the variable name follow by ':', 
 !>          then request(s) to be used on this variable.<br/> 
 !>          request could be:
-!>             - int = interpolation method
-!>             - ext = extrapolation method
-!>             - flt = filter method
-!>             - min = minimum value
-!>             - max = maximum value
-!>             - unt = new units
-!>             - unf = unit scale factor (linked to new units)
+!>             - interpolation method
+!>             - extrapolation method
+!>             - filter method
+!>             - > minimum value
+!>             - < maximum value
 !>
 !>             requests must be separated by ';'.<br/>
@@ -102,5 +98,5 @@
 !>          informations about available method could be find in @ref interp,
 !>          @ref extrap and @ref filter.<br/>
-!>          Example: 'votemper: int=linear; flt=hann; ext=dist_weight','vosaline: int=cubic'
+!>          Example: 'votemper: linear; hann; dist_weight','vosaline: cubic'
 !>          @note 
 !>             If you do not specify a method which is required, 
@@ -140,8 +136,7 @@
 !>    * _output namelist (namout)_:<br/>
 !>       - cn_fileout : output file
-!>       - ln_extrap : extrapolate land point or not
+!>       - in_nproc  : total number of processor to be used
 !>       - in_niproc : i-direction number of processor
 !>       - in_njproc : j-direction numebr of processor
-!>       - in_nproc  : total number of processor to be used
 !>       - cn_type   : output format ('dimg', 'cdf')
 !>
@@ -153,7 +148,4 @@
 !> - offset computed considering grid point
 !> - add attributes in output variable
-!> @date June, 2015
-!> - extrapolate all land points, and add ln_extrap in namelist.
-!> - allow to change unit.
 !>
 !> @note Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
@@ -173,5 +165,5 @@
    USE iom                             ! I/O manager
    USE grid                            ! grid manager
-   USE vgrid                            ! vertical grid manager
+   USE vgrid                           ! vertical grid manager
    USE extrap                          ! extrapolation manager
    USE interp                          ! interpolation manager
@@ -257,4 +249,5 @@
    CHARACTER(LEN=lc) :: cn_bathy1 = ''
    INTEGER(i4)       :: in_perio1 = -1
+   INTEGER(i4)       :: in_extrap = 0
 
    !namzgr
@@ -286,5 +279,4 @@
    ! namout
    CHARACTER(LEN=lc) :: cn_fileout = 'restart.nc' 
-   LOGICAL           :: ln_extrap  = .FALSE.
    INTEGER(i4)       :: in_nproc   = 0
    INTEGER(i4)       :: in_niproc  = 0
@@ -309,5 +301,6 @@
    &  cn_coord1,   &    !< coordinate file
    &  cn_bathy1,   &    !< bathymetry file
-   &  in_perio1         !< periodicity index
+   &  in_perio1,   &    !< periodicity index
+   &  in_extrap
  
    NAMELIST /namzgr/ &
@@ -339,8 +332,7 @@
    NAMELIST /namout/ &  !< output namlist
    &  cn_fileout, &     !< fine grid bathymetry file
-   &  ln_extrap,  &     !< extrapolate or not
+   &  in_nproc,   &     !< number of processor to be used
    &  in_niproc,  &     !< i-direction number of processor
    &  in_njproc,  &     !< j-direction numebr of processor
-   &  in_nproc,   &     !< number of processor to be used
    &  cn_type           !< output type format (dimg, cdf)
    !-------------------------------------------------------------------
@@ -355,5 +347,5 @@
       CALL GET_COMMAND_ARGUMENT(1,cl_namelist) !f03 intrinsec
    ENDIF
-
+   
    ! read namelist
    INQUIRE(FILE=TRIM(cl_namelist), EXIST=ll_exist)
@@ -442,9 +434,5 @@
    ! check
    ! check output file do not already exist
-   IF( in_nproc > 0 )THEN
-      cl_fileout=file_rename(cn_fileout,1)
-   ELSE
-      cl_fileout=file_rename(cn_fileout)
-   ENDIF
+   cl_fileout=file_rename(cn_fileout,1)
    INQUIRE(FILE=TRIM(cl_fileout), EXIST=ll_exist)
    IF( ll_exist )THEN
@@ -480,6 +468,16 @@
    &                            il_rho(:) )
 
-   ! fine grid ghost cell
+   ! compute level
+   ALLOCATE(tl_level(ip_npoint))
+   tl_level(:)=vgrid_get_level(tl_bathy1, cl_namelist )
+
+   ! remove ghost cell
    il_xghost(:,:)=grid_get_ghost(tl_bathy1)
+   DO ji=1,ip_npoint
+      CALL grid_del_ghost(tl_level(ji), il_xghost(:,:))
+   ENDDO
+
+   ! clean
+   CALL mpp_clean(tl_bathy1)
 
    ! work on variables
@@ -516,8 +514,5 @@
                tl_var(jvar) = create_restart_matrix( &
                &  tl_multi%t_mpp(ji)%t_proc(1)%t_var(jj), tl_coord1, &
-               &  in_nlevel, il_xghost(:,:) )
-
-               ! add ghost cell
-               CALL grid_add_ghost(tl_var(jvar), il_xghost(:,:))
+               &  in_nlevel, tl_level(:) )
 
             ENDDO
@@ -540,5 +535,4 @@
             ! open mpp file
             CALL iom_mpp_open(tl_mpp)
-
 
             ! get or check depth value
@@ -585,5 +579,5 @@
                DO jj=1,tl_multi%t_mpp(ji)%t_proc(1)%i_nvar
 
-                  WRITE(*,'(2x,a,a)') "work on (extract) variable "//&
+                  WRITE(*,'(2x,a,a)') "work on variable "//&
                   &  TRIM(tl_multi%t_mpp(ji)%t_proc(1)%t_var(jj)%c_name)
 
@@ -606,6 +600,9 @@
                   CALL att_clean(tl_att)
 
+                  ! use mask
+                  CALL create_restart_mask(tl_var(jvar), tl_level(:))
+
                   ! add ghost cell
-                  CALL grid_add_ghost(tl_var(jvar), tl_dom1%i_ghost(:,:))
+                  CALL grid_add_ghost( tl_var(jvar), tl_dom1%i_ghost(:,:) )
 
                ENDDO
@@ -634,5 +631,5 @@
                DO jj=1,tl_multi%t_mpp(ji)%t_proc(1)%i_nvar
 
-                  WRITE(*,'(2x,a,a)') "work on (interp) variable "//&
+                  WRITE(*,'(2x,a,a)') "work on variable "//&
                   &  TRIM(tl_multi%t_mpp(ji)%t_proc(1)%t_var(jj)%c_name)
 
@@ -649,7 +646,8 @@
                   &                                   id_rho=il_rho(:), &
                   &                                   cd_point=TRIM(tl_var(jvar)%c_point))
+                  
 
                   ! interpolate variable
-                  CALL create_restart_interp(tl_var(jvar), & 
+                  CALL create_restart_interp(tl_var(jvar), tl_level(:), &
                   &                          il_rho(:), &
                   &                          id_offset=il_offset(:,:))
@@ -677,6 +675,11 @@
                   CALL att_clean(tl_att)
 
+                  ! use mask
+                  CALL create_restart_mask(tl_var(jvar), tl_level(:))
+
                   ! add ghost cell
-                  CALL grid_add_ghost(tl_var(jvar), il_xghost(:,:))
+                  CALL grid_add_ghost( tl_var(jvar), il_xghost(:,:) )
+
+
                ENDDO
 
@@ -702,19 +705,7 @@
    CALL mpp_clean(tl_coord0)
 
-   IF( .NOT. ln_extrap )THEN
-      ! compute level
-      ALLOCATE(tl_level(ip_npoint))
-      tl_level(:)=vgrid_get_level(tl_bathy1, cl_namelist )
-   ENDIF
-
-   ! clean
-   CALL mpp_clean(tl_bathy1)
-
    ! use additional request
    DO jvar=1,il_nvar
 
-      ! change unit and apply factor
-      CALL var_chg_unit(tl_var(jvar))
-
       ! forced min and max value
       CALL var_limit_value(tl_var(jvar))
@@ -723,8 +714,8 @@
       CALL filter_fill_value(tl_var(jvar))
 
-      IF( .NOT. ln_extrap )THEN
-         ! use mask
-         CALL create_restart_mask(tl_var(jvar), tl_level(:))
-      ENDIF
+      ! extrapolate
+      CALL extrap_fill_value(tl_var(jvar), id_iext=in_extrap, &
+      &                                    id_jext=in_extrap, &
+      &                                    id_kext=in_extrap)
 
    ENDDO
@@ -733,5 +724,5 @@
    IF( in_niproc == 0 .AND. &
    &   in_njproc == 0 .AND. &
-   &   in_nproc == 0 )THEN
+   &   in_nproc  == 0 )THEN
       in_niproc = 1
       in_njproc = 1
@@ -791,5 +782,5 @@
          CALL mpp_add_var(tl_mppout, tl_depth)
       ELSE
-         CALL logger_warn("CREATE RESTART: no value for depth variable.")
+         CALL logger_error("CREATE RESTART: no value for depth variable.")
       ENDIF
    ENDIF
@@ -801,5 +792,5 @@
          CALL mpp_add_var(tl_mppout, tl_time)
       ELSE
-         CALL logger_warn("CREATE RESTART: no value for time variable.")
+         CALL logger_error("CREATE RESTART: no value for time variable.")
       ENDIF
    ENDIF
@@ -807,5 +798,5 @@
 
    ! add other variable
-   DO jvar=il_nvar,1,-1
+   DO jvar=1,il_nvar
       ! check if variable already add
       il_index=var_get_index(tl_mppout%t_proc(1)%t_var(:), tl_var(jvar)%c_name)
@@ -816,4 +807,9 @@
    ENDDO
 
+!   DO ji=1,4
+!      CALL grid_add_ghost( tl_level(ji), il_xghost(:,:) )
+!      CALL var_clean(tl_level(ji))
+!   ENDDO
+
    ! add some attribute
    tl_att=att_init("Created_by","SIREN create_restart")
@@ -843,7 +839,4 @@
    ENDIF
 
-   ! print
-   CALL mpp_print(tl_mppout)
-
    ! create file
    CALL iom_mpp_create(tl_mppout)
@@ -854,12 +847,13 @@
    CALL iom_mpp_close(tl_mppout)
 
+   ! print
+   CALL mpp_print(tl_mppout)
+
    ! clean
    CALL att_clean(tl_att)
    CALL var_clean(tl_var(:))
    DEALLOCATE(tl_var)
-   IF( .NOT. ln_extrap )THEN
-      CALL var_clean(tl_level(:))
-      DEALLOCATE(tl_level)
-   ENDIF
+   CALL var_clean(tl_level(:))
+   DEALLOCATE(tl_level)
 
    CALL mpp_clean(tl_mppout)
@@ -882,21 +876,19 @@
    !>
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
-   !> @date June, 2015
-   !> - do not use level anymore 
+   !> - November, 2013- Initial Version
    !>
    !> @param[in] td_var    variable structure 
    !> @param[in] td_coord  coordinate file structure 
    !> @param[in] id_nlevel number of vertical level  
-   !> @param[in] id_xghost ghost cell array
+   !> @param[in] td_level  array of level on T,U,V,F point (variable structure) 
    !> @return variable structure 
    !-------------------------------------------------------------------
-   FUNCTION create_restart_matrix(td_var, td_coord, id_nlevel, id_xghost)
+   FUNCTION create_restart_matrix(td_var, td_coord, id_nlevel, td_level)
       IMPLICIT NONE
       ! Argument
-      TYPE(TVAR)                 , INTENT(IN) :: td_var
-      TYPE(TMPP)                 , INTENT(IN) :: td_coord
-      INTEGER(i4)                , INTENT(IN) :: id_nlevel
-      INTEGER(i4), DIMENSION(:,:), INTENT(IN) :: id_xghost
+      TYPE(TVAR)              , INTENT(IN) :: td_var
+      TYPE(TMPP)              , INTENT(IN) :: td_coord
+      INTEGER(i4)             , INTENT(IN) :: id_nlevel
+      TYPE(TVAR), DIMENSION(:), INTENT(IN) :: td_level
 
       ! function
@@ -907,4 +899,5 @@
       INTEGER(i4)      , DIMENSION(3)                    :: il_size
       INTEGER(i4)      , DIMENSION(3)                    :: il_rest
+      INTEGER(i4)      , DIMENSION(2,2)                  :: il_xghost
 
       INTEGER(i4)      , DIMENSION(:)      , ALLOCATABLE :: il_ishape
@@ -922,4 +915,7 @@
       !----------------------------------------------------------------
 
+      ! look for ghost cell
+      il_xghost(:,:)=grid_get_ghost( td_coord )
+
       ! write value on grid
       ! get matrix dimension
@@ -933,6 +929,6 @@
 
       ! remove ghost cell
-      tl_dim(jp_I)%i_len=tl_dim(jp_I)%i_len - SUM(id_xghost(jp_I,:))*ip_ghost
-      tl_dim(jp_J)%i_len=tl_dim(jp_J)%i_len - SUM(id_xghost(jp_J,:))*ip_ghost
+      tl_dim(jp_I)%i_len=tl_dim(jp_I)%i_len - SUM(il_xghost(jp_I,:))*ip_ghost
+      tl_dim(jp_J)%i_len=tl_dim(jp_J)%i_len - SUM(il_xghost(jp_J,:))*ip_ghost
 
       ! split output domain in N subdomain depending of matrix dimension 
@@ -996,4 +992,10 @@
       DEALLOCATE(dl_value)
 
+      ! use mask
+      CALL create_restart_mask(create_restart_matrix, td_level(:))
+
+      ! add ghost cell
+      CALL grid_add_ghost( create_restart_matrix, il_xghost(:,:) )
+
       ! clean 
       DEALLOCATE(il_ishape)
@@ -1007,5 +1009,5 @@
    !> 
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !>
    !> @param[inout] td_var variable structure
@@ -1069,9 +1071,8 @@
    !> 
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
-   !> @date June, 2015
-   !> - do not use level anymore (for extrapolation)
+   !> - Nov, 2013- Initial Version
    !>
    !> @param[inout] td_var    variable structure 
+   !> @param[inout] td_level  fine grid level, array of variable structure
    !> @param[in] id_rho       array of refinment factor
    !> @param[in] id_offset    array of offset between fine and coarse grid
@@ -1079,5 +1080,5 @@
    !> @param[in] id_jext      j-direction size of extra bands (default=im_minext)
    !-------------------------------------------------------------------
-   SUBROUTINE create_restart_interp( td_var, & 
+   SUBROUTINE create_restart_interp( td_var, td_level,&
    &                                 id_rho,          &
    &                                 id_offset,       &
@@ -1088,4 +1089,5 @@
       ! Argument
       TYPE(TVAR) ,                 INTENT(INOUT) :: td_var
+      TYPE(TVAR) , DIMENSION(:)  , INTENT(INOUT) :: td_level
       INTEGER(i4), DIMENSION(:)  , INTENT(IN   ) :: id_rho
       INTEGER(i4), DIMENSION(:,:), INTENT(IN   ) :: id_offset
@@ -1117,4 +1119,5 @@
          il_jext=2
       ENDIF
+
       ! work on variable
       ! add extraband
@@ -1122,5 +1125,8 @@
 
       ! extrapolate variable
-      CALL extrap_fill_value( td_var )
+      CALL extrap_fill_value( td_var, td_level(:),    &
+      &                               id_offset(:,:), &
+      &                               id_rho(:),      &
+      &                               id_iext=il_iext, id_jext=il_jext )
 
       ! interpolate variable
@@ -1140,5 +1146,5 @@
    !>
    !> @author J.Paul
-   !> @date November, 2014 - Initial Version
+   !> - November, 2014- Initial Version
    !>
    !> @param[in] td_mpp       mpp structure
@@ -1191,5 +1197,5 @@
    !>
    !> @author J.Paul
-   !> @date November, 2014 - Initial Version
+   !> - November, 2014- Initial Version
    !>
    !> @param[in] td_mpp      mpp structure
@@ -1214,5 +1220,4 @@
 
       ! get or check depth value
-
       IF( td_mpp%t_proc(1)%i_timeid /= 0 )THEN
 
